<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="nasaImageModel"
            type="com.example.nasagalleryapp.ui.model.NasaImageModel" />
    </data>

<androidx.cardview.widget.CardView
    android:layout_width="match_parent"
    android:layout_height="?listPreferredItemHeightLarge"
    app:cardUseCompatPadding="false">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/imgMain"
            app:imageUrl="@{nasaImageModel.hdurl}"
            android:layout_width="match_parent"
            android:scaleType="fitXY"
            android:layout_height="match_parent" />

    </FrameLayout>
</androidx.cardview.widget.CardView>
</layout>